body {
    margin: 0;
    width: 100%;
    scroll-behavior: smooth;
}

footer hr {
    border: 1px solid rgb(204, 204, 204);
}

.edit-blog {
    position: fixed;
    top: 5%;
    right: 5%;
    z-index: 10000;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

main {
    margin-top: calc(max(15vh, 150px) + 35px);
    margin-left: 15%;
    margin-right: 15%;
}

footer {
    font-family: "Roboto", Arial, sans-serif;
    width: 100%;
    background-color: var(--blogee-blog-secondary);

    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    padding-bottom: 5vh;
    margin-top: 5vh;
}

.footer-hr {
    width: 100%;
    height: 5px;
    background-color: var(--blogee-blog-primary);
    border: none;
    margin-top: 0;
}

.footer-contact {
    margin: 0;
}

.footer-contacts {
    display: flex;
    flex-direction: column;
}

.footer-contact-hr {
    width: 50px;
    margin: 0;
}

.footer-contact-container {
    display: flex;
    flex-direction: column;

    margin-top: 2px;
    margin-bottom: 10px;
}

.footer-blog {
    display: flex;
    gap: 30px;

    justify-content: center;
}


.footer-logo {
    max-width: 75px;
    height: 75px;

}

.footer-logo-parent {
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer-blog-info {
    display: flex;
    gap: 15px;
    flex-direction: row;
}

@media(max-width: 768px) {
    .footer-blog-info {
        flex-direction: column;
    }
}

.copyright {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 5px;
}

a {
    color: var(--blogee-blog-primary)
}

a:visited {
    color: var(--blogee-blog-primary)
}

.page {
    font-family: "Roboto", Arial, sans-serif;

    display: flex;
    flex-direction: row;
    gap: 5vw;
}

.index-main {
    flex: 8;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.index-latest-post-container {
    position: relative;
    z-index: 1;
}

.index-latest-post {
    color: black;
    text-decoration: none;
}

.index-latest-post:visited {
    color: black;
}

.index-latest-post > div {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 5px;
}

.index-latest-post > div > h2 {
    margin: 5px;
    font-weight: lighter;
    text-align: center;
}

.cookies-main {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.cookies-main > div {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
}

.cookies-main button {
    border-radius: 10px;
    padding: 10px;
    width: 50%;
    background: #f1f1f1;
    transition: 0.2s background-color;
}

.cookies-main button:hover {
    background: #e1e1e1;
}

.cookies-main > div > div {
    display: flex;
    gap: 15px;
}

.index-latest-post > div > p {
    margin: 0;
    text-align: center;
}

.sitemap-main {
    font-family: "Roboto", Arial, sans-serif;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


.index-latest-post > img {
    /*height: 20vh;*/
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: contain;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
}

.index-first-post-container {
    grid-column: span 2;

    position: relative;
    z-index: 1;
}

.index-first-post-img {
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: contain;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
}

.index-first-post > div {
    position: relative;
    z-index: 1;
}

.index-first-post {
    color: white;
    font-size: 36px;
}

.index-first-post > div > div::after {
    content: "";
    position: absolute;

    top: 0;
    right: 0;
    bottom: 0;
    left: 0;

    width: 100%;
    aspect-ratio: 3 / 2;

    background: linear-gradient(
            to bottom,
            transparent 30%,
            rgba(0,0,0,0.7) 100%
    );

    border-radius: 15px;

    pointer-events: none;
}

.index-first-post-p {
    color: white;

    border-left: 7px solid var(--blogee-blog-primary);
    padding: 15px;

    position: absolute;
    bottom: 10%;
    left: 0;

    margin: 0;
}

.index-aside {
    display: flex;
    align-items: center;
    flex-direction: column;

    gap: 30px;

    flex: 1;
}

.categories-categories {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

@media (max-width: 780px) {
    .categories-categories {
        grid-template-columns: repeat(1, 1fr);
    }
}

.categories-main {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.categories-main > h2 {
    font-size: 2.8em;
    text-decoration: underline;
    text-decoration-color: var(--blogee-blog-secondary);
}

.index-pinned-posts {
    width: 100%;

    display: flex;
    flex-direction: column;
    gap: 5px;
}

.index-pinned-posts > hr {
    width: 75%;
    border: 1px solid var(--blogee-blog-secondary);
}

.index-pinned-posts > div {
    display: flex;
    gap: 15px;
}

.index-pinned-posts > div > button {
    width: 40px;
    height: 40px;
}

.index-pinned-post {
    display: flex;

    color: black;
    text-decoration: none;
    gap: 10px;
}

.index-pinned-post:visited {
    color: black;
}

.index-pinned-post > div {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.index-pinned-post > div > h3 {
    margin: 0;
}

.index-pinned-post > img {
    height: 7vh;
    aspect-ratio: 3 / 2;
    object-fit: contain;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
}

@media (max-width: 780px) {
    .page {
        flex-direction: column;
    }

    .index-aside {
        justify-content: center;
    }

    .index-main {
        grid-template-columns: repeat(1, 1fr);
    }
}

.index-pin {
    position: absolute;
    right: 5%;
    top: 5%;
    z-index: 2;
}

.cookies-popup {
    font-family: "Roboto", Arial, sans-serif;

    background: var(--blogee-blog-secondary);
    border: 2px solid black;
    border-radius: 15px;
    width: max(17.5vw, 300px);
    padding: 15px;

    position: fixed;
    right: 2.5vw;
    bottom: 2.5vw;

    z-index: 10;
}

.cookies-h3 {
    text-align: center;
}

.cookies-p {
    text-align: justify;
}

.cookies-buttons {
    display: flex;
    gap: 15px;

    justify-content: center;
    align-items: center;
}

.cookies-button {
    border-radius: 10px;
    padding: 10px;
    width: 50%;
    background: #f1f1f1;
    transition: 0.2s background-color;
}

.cookies-button:hover {
    background: #e1e1e1;
}

@media (max-width: 760px) {
    .cookies-popup {
        border: none;
        width: 90%;

        border-top: 2px solid black;
        border-radius: 0;

        padding-left: 5%;
        padding-right: 5%;

        position: fixed;
        right: 0;
        bottom: 0;
    }
}

/* utils */

.flex-column {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.image-soap {
    width: 100%;
    aspect-ratio: 3 / 2;
    object-fit: contain;

    border-radius: 15px;
    background-color: rgb(204, 204, 204);
}

/* end utils */


/* Tu jest moja część od strony category.php | wszystkie klasy masz wypisane, te w komentarzach po prostu nie uzylem w zaden sposob */


/* .category-main {

} */

.category-main h1 {
    font-size: 2.8em;
    text-decoration: underline;
    text-decoration-color: var(--blogee-blog-secondary);
}

.category-blogs-list {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
}

.login-page {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.login-page > main {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    gap: 2vw;
    width: max(25%, 250px);
    padding-bottom: 50px;
    padding-top: 50px;
    
    height: 40vh;

    background-color: var(--blogee-blog-secondary);
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

.login-page > main > form {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    gap: 15px;
    width: min(95%, 250px);
}

.login-page > main > h1 {
    margin-top: 0;
}

.login-page > main > form > input {
    padding: 5px;
    border-radius: 5px;
    border: 2px solid black;
    outline: none;

    width: 90%;
}

.login-page > main > form > button {
    padding: 5px;

    width: 50%;

    border-radius: 5px;
    border: 2px solid black;
    outline: none;
}

.user-page {
    justify-content: center;
    align-items: center;
}

.user {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column; 

    gap: 25px;
}

.user-pages {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.user-pages > div {
    width: 100%;
}

.user-info {
    display: flex;
    flex-direction: column;
    
    width: 100%;
}

.user-d {
    position: relative;

    display: flex;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.user-info h2 {
    margin: 0;
}

.user-page-avatar {
    width: 100%;
    aspect-ratio: 1 / 1;
    border-radius: 100%;
    
    width: 10vw;
}

.user-page-avatar-upload {
    position: absolute;
}

.user-page-avatar-preview {
    object-fit: cover;
    width: 10vw;
    height: 10vw;
}

.user-page-logout {
    position: absolute;
    right: 0;
}

.user-page-settings {
    position: absolute;
    right: 50px;
}

.user-name {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.user-info-more {
    display: flex;
    justify-content: center;
    align-items: center;

    gap: 5px;
    flex-direction: row;

    opacity: 0.6;
}

@media (max-width: 760px) {
    .user-page {
        width: 60vw;
    }
}

.user-pages {
    display: flex;
    justify-content: center;
    align-items: center;
}

.dot {
    width: 2px;
    height: 2px;
    border-radius: 100%;
    background-color: black;
}

.settings {
    flex-direction: column;
    gap: 15px;
}

.settings hr {
    width: 75%;
}